<?php
/**
 * Thankyou page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/thankyou.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div class="woocommerce-order">

	<?php if ( $order ) : ?>

		<?php if ( $order->has_status( 'failed' ) ) : ?>

			<p class="woocommerce-notice woocommerce-notice--error woocommerce-thankyou-order-failed"><?php _e( 'Unfortunately your order cannot be processed as the originating bank/merchant has declined your transaction. Please attempt your purchase again.', 'woocommerce' ); ?></p>

			<p class="woocommerce-notice woocommerce-notice--error woocommerce-thankyou-order-failed-actions">
				<a href="<?php echo esc_url( $order->get_checkout_payment_url() ); ?>" class="button pay"><?php _e( 'Pay', 'woocommerce' ) ?></a>
				<?php if ( is_user_logged_in() ) : ?>
					<a href="<?php echo esc_url( wc_get_page_permalink( 'myaccount' ) ); ?>" class="button pay"><?php _e( 'My account', 'woocommerce' ); ?></a>
				<?php endif; ?>
			</p>

		<?php else : ?>
		
		
		<?php
foreach( $order->get_items() as $item ) {
                $_product     = apply_filters( 'woocommerce_order_item_product', $order->get_product_from_item( $item ), $item );
                $item_meta    = new WC_Order_Item_Meta( $item['item_meta'], $_product );

                if ( $_product && ! $_product->is_visible() )
                  apply_filters( 'woocommerce_order_item_name', $item['name'], $item );
                else {
                  /*echo apply_filters( 'woocommerce_order_item_name', sprintf( '<a href="%s">%s</a>', get_permalink( $item['product_id'] ), $item['name'] ), $item );*/
                  $itme =  $item['name']; }
 }?>
		
		<?php
    		function randomString($length = 8) {
        		$characters = '0123456789abcdefghijklmnopqrstuvwxyz';
        		$charactersLength = strlen($characters);
        		$randomString = '';
        		for ($i = 0; $i < $length; $i++) {
            		$randomString .= $characters[rand(0, $charactersLength - 1)];
        		}
        		return $randomString;
    		}
    		
    		$servername = "localhost";
    		$username = "purplebyteshikha";
    		$password = "pbShikha@123";
    		$dbname = "shikhadb";
    		
		$order_no = $order->get_order_number();
		$email_id = $order->get_billing_email();
		$random_no = randomString();

    		$conn = mysqli_connect($servername, $username, $password, $dbname);
    		
    		$sql = "SELECT email_id FROM client_login WHERE email_id = '$email_id'";
                $result = $conn -> query($sql);
    
                if($result -> num_rows > 0) {
			mail($email_id, 'Log-in details', "Please contact the shikhamahajan.com Admin to create your account.\nYour order No. is: '$order_no'", 'From:info@shikhamahajan.com');	
		}
		
		else {
			mail($email_id, 'Log-in details', "Please use the following details to log into your Account: \n\tUse Email-id as Username.\n\t Password: '$random_no'", 'From:info@shikhamahajan.com');
		
			$sql = "INSERT INTO client_login (order_id, email_id, pass, product) VALUES ('$order_no','$email_id','$random_no', '$itme')";

			$conn->query($sql);
		}
		$conn->close()
    		?>

			<p class="woocommerce-notice woocommerce-notice--success woocommerce-thankyou-order-received"><?php echo apply_filters( 'woocommerce_thankyou_order_received_text', __( 'Thank you. Your order has been received.', 'woocommerce' ), $order ); ?></p>

			<ul class="woocommerce-order-overview woocommerce-thankyou-order-details order_details">

				<li class="woocommerce-order-overview__order order">
					<?php _e( 'Order number:', 'woocommerce' ); ?>
					
					<strong><?php echo $order->get_order_number(); ?></strong>
				</li>

				<li class="woocommerce-order-overview__date date">
					<?php _e( 'Date:', 'woocommerce' ); ?>
					<strong><?php echo wc_format_datetime( $order->get_date_created() ); ?></strong>
				</li>

				<?php if ( is_user_logged_in() && $order->get_user_id() === get_current_user_id() && $order->get_billing_email() ) : ?>
					<li class="woocommerce-order-overview__email email">
						<?php _e( 'Email:', 'woocommerce' ); ?>
						<strong><?php echo $order->get_billing_email(); ?></strong>
					</li>
				<?php endif; ?>

				<li class="woocommerce-order-overview__total total">
					<?php _e( 'Total:', 'woocommerce' ); ?>
					<strong><?php echo $order->get_formatted_order_total(); ?></strong>
				</li>

				<?php if ( $order->get_payment_method_title() ) : ?>
					<li class="woocommerce-order-overview__payment-method method">
						<?php _e( 'Payment method:', 'woocommerce' ); ?>
						<strong><?php echo wp_kses_post( $order->get_payment_method_title() ); ?></strong>
					</li>
				<?php endif; ?>

			</ul>
			

		<?php endif; ?>

		<?php do_action( 'woocommerce_thankyou_' . $order->get_payment_method(), $order->get_id() ); ?>
		
		<p class="x-red">*Your Login Details are sent on your registered Email Address</p>
		
		<?php do_action( 'woocommerce_thankyou', $order->get_id() ); ?>
		


	<?php else : ?>

		<p class="woocommerce-notice woocommerce-notice--success woocommerce-thankyou-order-received"><?php echo apply_filters( 'woocommerce_thankyou_order_received_text', __( 'Thank you. Your order has been received.', 'woocommerce' ), null ); ?></p>

	<?php endif; ?>

</div>
